package eu.jonahbauer.json.exceptions;

import org.jetbrains.annotations.NotNull;

/**
 * An exception that indicates problems with conversion between java objects and json.
 */
public class JsonConversionException extends JsonProcessingException {
    public JsonConversionException(@NotNull String message) {
        super(message);
    }

    public JsonConversionException(@NotNull String message, @NotNull Throwable cause) {
        super(message, cause);
    }
}
