package eu.jonahbauer.json.exceptions;

import org.jetbrains.annotations.NotNull;

public class JsonParserException extends JsonReaderException {

    public JsonParserException(int fragment, int line, int column, @NotNull String message) {
        super(fragment, line, column, message);
    }

    public JsonParserException(int fragment, int line, int column, @NotNull String message, @NotNull Throwable cause) {
        super(fragment, line, column, message, cause);
    }
}
