package eu.jonahbauer.json.tokenizer.token;

import eu.jonahbauer.json.JsonString;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

@SuppressWarnings("preview")
public record JsonStringTemplate(@NotNull StringTemplate template) implements JsonToken {
    public JsonStringTemplate {
        Objects.requireNonNull(template);
    }

    public @NotNull JsonString asString() {
        return new JsonString(STR.process(template));
    }
}
