package eu.jonahbauer.json.query.impl;

import org.jetbrains.annotations.NotNull;

import java.util.Iterator;

public record IteratorGenerator<T>(@NotNull Iterator<T> iterator) implements Generator<T> {
    @Override
    public boolean hasNext() {
        return iterator.hasNext();
    }

    @Override
    public T next() {
        return iterator.next();
    }
}
