package eu.jonahbauer.json.query.parser.ast;

import eu.jonahbauer.json.JsonValue;
import eu.jonahbauer.json.query.impl.Generator;
import org.jetbrains.annotations.NotNull;

import java.util.Objects;

public record JQAssignmentPipe(@NotNull JQExpression target, @NotNull JQExpression value) implements JQExpression {

    public JQAssignmentPipe {
        Objects.requireNonNull(target);
        Objects.requireNonNull(value);
    }

    @Override
    public @NotNull Generator<JsonValue> evaluate(@NotNull Context context) {
        throw new UnsupportedOperationException("not yet implemented");
    }

    @Override
    public boolean isConstant() {
        throw new UnsupportedOperationException("not yet implemented");
    }

    @Override
    public @NotNull String toString() {
        return target + " |= " + value;
    }
}
