package eu.jonahbauer.json.query.parser.ast;

import eu.jonahbauer.json.JsonValue;
import eu.jonahbauer.json.query.impl.Generator;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

public record JQRootExpression() implements JQExpression {
    @Override
    public @NotNull Generator<@Nullable JsonValue> evaluate(@NotNull Context context) {
        return context.stream();
    }

    @Override
    public boolean isConstant() {
        return false;
    }

    @Override
    public @NotNull String toString() {
        return ".";
    }
}
